Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.element
Class AuditSourceIdentificationType

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.element.AuditSourceIdentificationType

    public class AuditSourceIdentificationType

extends java.lang.Object

Java class for AuditSourceIdentificationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AuditSourceIdentificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AuditSourceTypeCode" type="{}CodedValueType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="AuditEnterpriseSiteID" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="AuditSourceID" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`static java.lang.String` | `DB_Audit_Source_Identification_Type`
`static java.lang.String` | `DB_Audit_Source_TypeCode`

Constructor Summary
`AuditSourceIdentificationType()`
`AuditSourceIdentificationType(java.lang.String auditSourceID)`

Method Summary
`java.lang.String` | `getAuditEnterpriseSiteID()` Gets the value of the auditEnterpriseSiteID property.
`java.lang.String` | `getAuditSourceID()` Gets the value of the auditSourceID property.
`org.w3c.dom.Element` | `getAuditSourceIdentificationNode()`
`static boolean` | `isValidElement(org.w3c.dom.Element e)`
`void` | `parse(org.w3c.dom.Element e)`
`void` | `setAuditEnterpriseSiteID(java.lang.String value)` Sets the value of the auditEnterpriseSiteID property.
`void` | `setAuditSourceID(java.lang.String value)` Sets the value of the auditSourceID property.
`void` | `setAuditSourceTypeCode(CodedValueType valueType)`
`java.lang.String` | `toHtml()`
`java.lang.String` | `toXml()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DB_Audit_Source_Identification_Type

    public static java.lang.String DB_Audit_Source_Identification_Type

### DB_Audit_Source_TypeCode

    public static java.lang.String DB_Audit_Source_TypeCode

Constructor Detail

### AuditSourceIdentificationType

    public AuditSourceIdentificationType()
                                  throws javax.xml.parsers.ParserConfigurationException

Throws:
  `javax.xml.parsers.ParserConfigurationException`

### AuditSourceIdentificationType

    public AuditSourceIdentificationType(java.lang.String auditSourceID)
                                  throws javax.xml.parsers.ParserConfigurationException,
                                         javax.xml.parsers.FactoryConfigurationError

Throws:
  `javax.xml.parsers.ParserConfigurationException`
  `javax.xml.parsers.FactoryConfigurationError`

Method Detail

### setAuditSourceTypeCode

    public void setAuditSourceTypeCode(CodedValueType valueType)

### getAuditEnterpriseSiteID

    public java.lang.String getAuditEnterpriseSiteID()

  Gets the value of the auditEnterpriseSiteID property.

  Returns:
    possible object is `String`

### setAuditEnterpriseSiteID

    public void setAuditEnterpriseSiteID(java.lang.String value)

  Sets the value of the auditEnterpriseSiteID property.

  Parameters:
    `value` - allowed object is `String`

### getAuditSourceID

    public java.lang.String getAuditSourceID()

  Gets the value of the auditSourceID property.

  Returns:
    possible object is `String`

### setAuditSourceID

    public void setAuditSourceID(java.lang.String value)

  Sets the value of the auditSourceID property.

  Parameters:
    `value` - allowed object is `String`

### toXml

    public java.lang.String toXml()

### toHtml

    public java.lang.String toHtml()

### getAuditSourceIdentificationNode

    public org.w3c.dom.Element getAuditSourceIdentificationNode()

### isValidElement

    public static boolean isValidElement(org.w3c.dom.Element e)

### parse

    public void parse(org.w3c.dom.Element e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD